View Issue Details

IDProjectCategoryView StatusLast Update
0029960RunnerFunctionsPublic2018-10-29 12:31
ReporterStewart BishopAssigned ToPeter Hall 
PriorityMediumSeverityC - GeneralReproducibility<25%
Status ClosedResolutionFixed 
Product Version2.1.5 
Target Version2.2.1Fixed in Version2.2.1 
Summary0029960: Functions: mp_grid_add_instances() doesn't work correctly with instances which have rotated rectangle collision masks
DescriptionWithin the specified project you'll see that when the map is being shown you'll notice that the rotated rectangle collision mask isn't being used but instead is just using a rectangle collision mask.
Steps To Reproduce1) Run the sample
2) Rotate the object
3) See that the collision mask isn't being used correctly
TagsRunner
1.4 Found In
2.x Runtime Found In2.1.5.246
2.x Runtime Verified In2.2.1.268

Activities

Stewart Bishop

2018-08-20 17:23

Adminstrator  

Map Glitch Demonstration.zip (41,426 bytes)

Peter Hall

2018-08-31 11:09

Developer   ~0061417

We were not checking rotated rectangle collisions for the mp_grid functions. FWIW the sample had rotated rectangle collisions set on the normal box as well, will attach a fixed version of the sample in a moment...

Peter Hall

2018-08-31 11:09

Developer   ~0061418

fixed version of the sample

MapGlitchDemonstration.yyz (38,304 bytes)